From 081943079e969c7f5edb5d52182b09da3230fb3b Mon Sep 17 00:00:00 2001
From: Gerd Hoffmann <kraxel@redhat.com>
Date: Mon, 3 Feb 2014 16:30:31 +0100
Subject: [PATCH 07/28] usb: add microsoft os descriptors compat property

RH-Author: Gerd Hoffmann <kraxel@redhat.com>
Message-id: <1391445032-5540-5-git-send-email-kraxel@redhat.com>
Patchwork-id: 57074
O-Subject: [RHEL-7 qemu-kvm PATCH 4/5] usb: add microsoft os descriptors compat property
Bugzilla: 1039530
RH-Acked-by: Paolo Bonzini <pbonzini@redhat.com>
RH-Acked-by: Juan Quintela <quintela@redhat.com>
RH-Acked-by: Miroslav Rezanina <mrezanin@redhat.com>

Turn off for rhel6 machine types.  RHEL only patch.

Signed-off-by: Gerd Hoffmann <kraxel@redhat.com>
---
 hw/i386/pc_piix.c | 4 ++++
 1 file changed, 4 insertions(+)

Signed-off-by: Miroslav Rezanina <mrezanin@redhat.com>
---
 hw/i386/pc_piix.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/hw/i386/pc_piix.c b/hw/i386/pc_piix.c
index aac920a..697f12f 100644
--- a/hw/i386/pc_piix.c
+++ b/hw/i386/pc_piix.c
@@ -900,6 +900,10 @@ static QEMUMachine pc_machine_rhel700 = {
         .driver   = "virtio-net-pci",\
         .property = "romfile",\
         .value    = "rhel6-virtio.rom",\
+    },{\
+        .driver   = TYPE_USB_DEVICE,\
+        .property = "msos-desc",\
+        .value    = "no",\
     }
 
 static void pc_compat_rhel650(QEMUMachineInitArgs *args)
-- 
1.7.1

